Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

ossl_config.h
Go to the documentation of this file.
1 /*
2 * 'OpenSSL for Ruby' project
3 * Copyright (C) 2001-2002 Michal Rokos <m.rokos@sh.cvut.cz>
4 * All rights reserved.
5 */
6 /*
7 * This program is licensed under the same licence as Ruby.
8 * (See the file 'LICENCE'.)
9 */
10 #if !defined(_OSSL_CONFIG_H_)
11 #define _OSSL_CONFIG_H_
12
13 extern VALUE cConfig;
14 extern VALUE eConfigError;
15
16 CONF* DupConfigPtr(VALUE obj);
17 void Init_ossl_config(void);
18
19 #endif /* _OSSL_CONFIG_H_ */
Init_ossl_config
void Init_ossl_config(void)
Definition: ossl_config.c:72
VALUE
unsigned long VALUE
Definition: ruby.h:102
DupConfigPtr
CONF * DupConfigPtr(VALUE obj)
Definition: ossl_config.c:35
obj
const VALUE VALUE obj
Definition: rb_mjit_min_header-2.7.0.h:5742
eConfigError
VALUE eConfigError
Definition: ossl_config.c:22
cConfig
VALUE cConfig
Definition: ossl_config.c:16